View Issue Details

IDProjectCategoryView StatusLast Update
0033795CommunityOCCT:Modeling Algorithmspublic2024-08-14 15:28
Reportereryar Assigned Toakaftasev  
PrioritynormalSeverityminor 
Status newResolutionopen 
PlatformWindowsOSVC++ 2015 
Product Version7.8.1 
Summary0033795: Modeling Algorithms - BRepOffsetAPI_MakeOffset fail
Descriptionhttps://dev.opencascade.org/content/brepoffsetapimakeoffset-fail-0

I am using OCCT 7.8.0.The following is the code used.
// shape is the edge in the attachment
BRepBuilderAPI_FindPlane findPlane(shape, 0.001);
BRepBuilderAPI_MakeFace makeFace(findPlane.Plane()->Pln());
TopoDS_Face face = makeFace;
BRepOffsetAPI_MakeOffset makeOffset(face, GeomAbs_JoinType::GeomAbs_Intersection,true);
BRepBuilderAPI_MakeWire makeWire(TopoDS::Edge(shape));
makeOffset.AddWire(makeWire);
makeOffset.Perform(0.1, 0);
if (makeOffset.IsDone()) {
TopoDS_Shape S = makeOffset.Shape();
}
Steps To Reproduce
restore w.brep

mkoffset r w 1 0.1
TagsNo tags attached.
Test case number

Attached Files

  • w.brep (4,059 bytes)

Activities

eryar

2024-08-14 06:49

developer  

w.brep (4,059 bytes)

Issue History

Date Modified Username Field Change
2024-08-14 06:49 eryar New Issue
2024-08-14 06:49 eryar Assigned To => akaftasev
2024-08-14 06:49 eryar File Added: w.brep
2024-08-14 15:28 dpasukhi Target Version 7.8.1 =>
2024-08-14 15:28 dpasukhi Summary BRepOffsetAPI_MakeOffset fail => Modeling Algorithms - BRepOffsetAPI_MakeOffset fail
2024-08-14 15:28 dpasukhi Description Updated
2024-08-14 15:28 dpasukhi Steps to Reproduce Updated